org.apache.cassandra.streaming

## Class StreamState

- java.lang.Object
- - org.apache.cassandra.streaming.StreamState

All Implemented Interfaces:
  java.io.Serializable

    public class StreamState
    extends java.lang.Object
    implements java.io.Serializable

Current snapshot of streaming progress.

See Also:
  Serialized Form

### Field Summary

Fields
`java.lang.String` `description`
`java.util.UUID` `planId`
`java.util.Set<SessionInfo>` `sessions`

### Constructor Summary

Constructors
Constructor and Description
`StreamState(java.util.UUID planId, java.lang.String description, java.util.Set<SessionInfo> sessions)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasFailedSession()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### planId

    public final java.util.UUID planId

#### description

    public final java.lang.String description

#### sessions

    public final java.util.Set<SessionInfo> sessions

### Constructor Detail

#### StreamState

    public StreamState(java.util.UUID planId,
                       java.lang.String description,
                       java.util.Set<SessionInfo> sessions)

### Method Detail

#### hasFailedSession

    public boolean hasFailedSession()